#include "../include/camera.h"

camera::camera()
{
    //ctor
}

camera::camera( double x, double y, double z)
{
    cX = fixdouble( x );
    cY = fixdouble( y );
    cZ = fixdouble( z );
}


camera::~camera()
{
    //dtor
}


void camera::incX( double dx )
{
    cX += fixdouble( dx );
};


void camera::incY( double dy )
{
    cY += fixdouble( dy );
};


void camera::incZ( double dz )
{
    cZ += fixdouble( dz );
};

void camera::decX( double dx )
{
    cX -= fixdouble( dx );
};


void camera::decY( double dy )
{
    cY -= fixdouble( dy );
};


void camera::decZ( double dz )
{
    cZ -= fixdouble( dz );
};
